import QtQuick 2.0
import Ubuntu.Components 0.1
import "OpenWeatherMap.js" as Weather

Rectangle {
    id: currentWeather

    // For Status I take the same condition codes from OpenWeatherMap (http://openweathermap.org/wiki/API/Weather_Condition_Codes)
    property int condition
    property int currentTemp
    property int minTemp
    property int maxTemp
    property bool metric

    width: units.gu(50)
    height: units.gu(60)

    Component.onCompleted: {
        if(currentWeather.metric){
            tempCurrent.text = tempCurrent.text + ("C");
            tempMin.text = tempMin.text + ("C");
            tempMax.text = tempMax.text + ("C");
        }else{
            tempCurrent.text = tempCurrent.text + ("F");
            tempMax.text = tempMax.text + ("F");
            tempMin.text = tempMin.text + ("F");
        }
    }

    Image {
        id: image1
        width: units.gu(30)
        height: units.gu(30)
        sourceSize.height: units.gu(30)
        sourceSize.width: units.gu(30)
        anchors.horizontalCenter: parent.horizontalCenter
        source: "../resources/images/"+Weather.getConditionIcon(condition)+".jpg"
        fillMode: Image.PreserveAspectFit
    }

    Rectangle {
        id: rectangle1
        width: units.gu(50)
        height: units.gu(10)
        anchors.top: image1.bottom
        anchors.topMargin: 0
        color: "#00000000"

        Column {
            id: column1
            width: units.gu(5)
            height: units.gu(5)
            anchors.rightMargin: 0
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: tempCurrent.left

            Label {
                text: i18n.tr("Max.")
                anchors.horizontalCenter: parent.horizontalCenter
                font.pixelSize: FontUtils.sizeToPixels("x-small")
                horizontalAlignment: Text.AlignHCenter
            }

            Label {
                id: tempMax
                text: maxTemp+"°"
                anchors.horizontalCenter: parent.horizontalCenter
                font.pixelSize: FontUtils.sizeToPixels("medium")
                horizontalAlignment: Text.AlignHCenter
            }
        }

        Text {
            width: units.gu(17)
            height: units.gu(10)
            id: tempCurrent
            text: currentTemp+String("°")
            style: Text.Normal
            font.bold: false
            font.family: "Ubuntu"
            verticalAlignment: Text.AlignVCenter
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            font.pointSize: 52
            horizontalAlignment: Text.AlignHCenter
        }

        Column {
            id: column2
            width: units.gu(5)
            height: units.gu(5)
            anchors.leftMargin: 0
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: tempCurrent.right

            Label {
                text: i18n.tr("Min.")
                horizontalAlignment: Text.AlignHCenter
                anchors.horizontalCenter: parent.horizontalCenter
                font.pixelSize: FontUtils.sizeToPixels("x-small")
            }

            Label {
                id: tempMin
                text: minTemp+"°"
                horizontalAlignment: Text.AlignHCenter
                anchors.horizontalCenter: parent.horizontalCenter
                font.pixelSize: FontUtils.sizeToPixels("medium")
            }
        }
    }
}
